org.gradle.language.cpp.plugins

## Class CppLibraryPlugin

- java.lang.Object
- - org.gradle.language.cpp.plugins.CppLibraryPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class CppLibraryPlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A plugin that produces a native library from C++ source.

  Assumes the source files are located in `src/main/cpp`, public headers are located in `src/main/public` and implementation header files are located in `src/main/headers`.

  Adds a `CppLibrary` extension to the project to allow configuration of the library.

  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CppLibraryPlugin(org.gradle.language.internal.NativeComponentFactory componentFactory, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)` Injects a `FileOperations` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CppLibraryPlugin

          @Inject
          public CppLibraryPlugin(org.gradle.language.internal.NativeComponentFactory componentFactory,
                                          org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector,
                                          org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)

      Injects a `FileOperations` instance.
      Since:
        4.2

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object